For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • POSTCancel Sync Execution
        • GETGet Execution Console Logs
        • GETGet Execution Logs Index
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Cancel Sync Execution

POST
https://app.polytomic.com/api/syncs/:sync_id/executions/:id/cancel
POST
/api/syncs/:sync_id/executions/:id/cancel
$curl -X POST https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/cancel \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "message": "Cancellation requested"
4 }
5}
Requests cancellation of a model sync execution.
Was this page helpful?
Previous

Get Execution Console Logs

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"
The ID of the execution to cancel.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error